# 59. Запит: Отримати "AsAppliedDatasets"

Отримати всі "AsAppliedDatasets" для обраного "Field". Дані наборів можна отримати за допомогою загальних GraphQL-запитів, наприклад `getFarms` та `getFields` з пов'язаного "Field".&#x20;

{% hint style="warning" %}
"AsAppliedDataset" має бути завантажено заздалегідь.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    назва
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        назва
        number #загальна кількість геофічних об'єктів 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #повні дані по кожному атрибуту
          name #посилання на статистику >> атрибут
          transliteratedName
          fullName #правильна зручна для людини назва
          unit#одиниці виміру
        }

        usedMachines { #використані машини
          id
          serial
          operatorId
        } 

        createdDate #дата та час створення об'єкта в GeoPard
        updatedDate #дата та час останнього оновлення
        operationId
        operationType
        operationFileDate #дата/час створення файлу походить із метаінформації 
        operationStartDate #початок операції походить із метаінформації
        
        statistics { #розподіл статистики для кожного атрибуту
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        назва
        number #загальна кількість геофічних об'єктів 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #повні дані по кожному атрибуту
          name #посилання на статистику >> атрибут
          transliteratedName
          fullName #правильна зручна для людини назва
          unit#одиниці виміру
        }

        usedMachines { #використані машини
          id
          serial
          operatorId
        } 

        createdDate #дата та час створення об'єкта в GeoPard
        updatedDate #дата та час останнього оновлення
        operationId
        operationType
        operationFileDate #дата/час створення файлу походить із метаінформації 
        operationStartDate #початок операції походить із метаінформації
        
        statistics { #розподіл статистики для кожного атрибуту
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/59.-zapit-otrimati-asapplieddatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
